Summary:       SyncML client for evolution
Name:          syncevolution
Version:       1.0.99.6
Release:       2%{?dist}
Epoch:         1	
License:       LGPLv2+
Group:         Applications/Productivity
URL:           http://syncevolution.org/
Source:        http://downloads.syncevolution.org/syncevolution/sources/%{name}-%{version}.tar.gz
Patch0:        syncevolution-1.0.1-libnotify-link.patch

BuildRequires: bluez-libs-devel
BuildRequires: boost-devel
BuildRequires: cppunit-devel
BuildRequires: evolution-data-server-devel
BuildRequires: expat-devel
BuildRequires: glib2-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gtk2-devel
BuildRequires: libcurl-devel
BuildRequires: libical-devel
BuildRequires: libmx-devel
BuildRequires: libnotify-devel
BuildRequires: libsoup-devel
BuildRequires: openobex-devel
BuildRequires: pcre-devel
BuildRequires: unique-devel

BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: libtool

Requires: python-twisted-web

%description
syncevolution is designed to provide a SyncML client that can
connect to and sync with various SyncML-based servers

%package libs
Summary: Library package for %{name}
Group: System Environment/Libraries

%description libs
Libraries for %{name}.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%package gtk
Summary: GTK+ GUI for %{name}
Group: Applications/Productivity
Requires: %{name} = %{epoch}:%{version}-%{release}

%description gtk
GTK+ GUI for use with %{name}.

%package moblin
Summary: Moblin GUI for %{name}
Group: Applications/Productivity
Requires: %{name} = %{epoch}:%{version}-%{release}

%description moblin
Moblin GUI for use with %{name}.

%package perl
Summary: Perl utils for %{name}
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}

%description perl
Perl utils for use with %{name}.

%prep
%setup -q
%patch0 -p1 -b .libnotify-link
# use the ac macros in Makefile.am
sed -i '/^ACLOCAL_AMFLAGS/{ /m4-repo/!s/$/ -I m4-repo/ }' Makefile*.am
touch -r Makefile-gen.am Makefile.am

%build
intltoolize --automake --copy --force
autoreconf -fiv
(cd src/synthesis && mkdir m4 && autoreconf -fi)
%configure --enable-libsoup --enable-dbus-service --enable-shared \
    --with-expat=system --disable-static --enable-gui=all --enable-bluetooth
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g
	s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags} V=1
find . -type d -perm 02755 -exec chmod 0755 '{}' \;

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT docdir=%{_docdir}
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc
#rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

#Remove libtool archives and static libs
find %{buildroot} -name '*.la' -o -name '*.a' | xargs rm

%find_lang %{name}

# fix the in the desktop files
sed -i 's/sync-ui/sync-ui-gtk/' %{buildroot}/%{_datadir}/applications/sync-gtk.desktop
sed -i 's/sync-ui/sync-ui-moblin/' %{buildroot}/%{_datadir}/applications/sync-moblin.desktop
sed -i 's#Categories=Office;PDA;GTK#Categories=Office;PDA;GTK;#' %{buildroot}/%{_datadir}/applications/sync-gtk.desktop

desktop-file-validate %{buildroot}/%{_datadir}/applications/sync-gtk.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/sync-moblin.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS NEWS README HACKING
%{_sysconfdir}/xdg/autostart/syncevo-dbus-server.desktop
%{_bindir}/syncevolution
%{_bindir}/syncevo-http-server
%{_bindir}/syncevo-phone-config
%{_libexecdir}/syncevo-dbus-server
%{_libexecdir}/syncevo-dbus-server-startup.sh
%{_datadir}/syncevolution/*.png
%{_datadir}/syncevolution/*.gif
%{_datadir}/syncevolution/templates
%{_datadir}/syncevolution/xml
%exclude %{_datadir}/syncevolution/xml/*.pl
%{_datadir}/icons/hicolor/48x48/apps/sync.png
%{_datadir}/syncevolution/sync-ui.rc
%{_datadir}/dbus-1/services/org.syncevolution.service
# %{_datadir}/man/man1/syncevolution.1.gz

%files libs
%defattr(-,root,root,-)
%doc COPYING LICENSE.LGPL-21 LICENSE.txt
%{_libdir}/*so.0*
%dir %{_libdir}/syncevolution
%{_libdir}/syncevolution/*so.0*
%{_libdir}/syncevolution/backends

%files devel
%defattr(-,root,root,-)
%{_includedir}/syncevo
%{_includedir}/syncevo-dbus
%{_includedir}/synthesis
%{_libdir}/pkgconfig/s*.pc
%{_libdir}/*so
%{_libdir}/syncevolution/libgdbus.so

%files gtk
%defattr(-,root,root,-)
%{_bindir}/sync-ui-gtk
%{_datadir}/applications/sync-gtk.desktop
%{_datadir}/syncevolution/ui.xml

%files moblin
%defattr(-,root,root,-)
%{_bindir}/sync-ui-moblin
%{_datadir}/applications/sync-moblin.desktop

%files perl
%defattr(-,root,root,-)
%{_bindir}/synccompare
%{_datadir}/syncevolution/xml/*.pl

%changelog
* Tue Sep 21 2010 Peter Robinson <pbrobinson@gmail.com> - 1:1.0.99.6-2
- Enable bluetooth support. Fixes RHBZ # 612000

* Tue Sep 14 2010 Peter Robinson <pbrobinson@gmail.com> - 1:1.0.99.6-1
- Update to 1.0.99.6 devel release

* Sat Aug  7 2010 Peter Robinson <pbrobinson@gmail.com> - 1:1.0.1-5
- fix the binary name in the desktop file

* Fri Jul 23 2010 Peter Robinson <pbrobinson@gmail.com> - 1:1.0.1-4
- And twice more with feeling

* Fri Jul 23 2010 Peter Robinson <pbrobinson@gmail.com> - 1:1.0.1-3
- And once more with feeling

* Fri Jul 23 2010 Peter Robinson <pbrobinson@gmail.com> - 1:1.0.1-2
- Add patch to fix linking against libnotify and gtk-2.0 (thanks hadess)

* Fri Jul 23 2010 Peter Robinson <pbrobinson@gmail.com> - 1:1.0.1-1
- Update to new 1.0.1 stable release

* Mon Jul 12 2010 Peter Robinson <pbrobinson@gmail.com> - 1:1.0-2
- Move license to libs

* Sun Jun 20 2010 Peter Robinson <pbrobinson@gmail.com> - 1:1.0-1
- Add epoch to fix upgrades

* Sat Jun 19 2010 Peter Robinson <pbrobinson@gmail.com> - 1.0-1
- Update to new 1.0.0 stable release, split out libs

* Wed May 26 2010 Peter Robinson <pbrobinson@gmail.com> - 1.0beta3-2
- Bump build for new evolution

* Tue May  4 2010 Peter Robinson <pbrobinson@gmail.com> - 1.0beta3-2
- Fix file moves and additions

* Wed Apr 21 2010 Peter Robinson <pbrobinson@gmail.com> - 1.0beta3-1
- Update to 1.0.0 beta 3

* Wed Jan 27 2010 Peter Robinson <pbrobinson@gmail.com> - 1.0beta1-1
- Update to 1.0.0 beta 1

* Thu Dec  3 2009 Peter Robinson <pbrobinson@gmail.com> - 0.9.2+1.0alpha1-1
- Update to 1.0.0 alpha 1

* Tue Nov 17 2009 Peter Robinson <pbrobinson@gmail.com> - 0.9-3
- Spec updates, split perl utils into sub-package

* Fri Oct 16 2009 Peter Robinson <pbrobinson@gmail.com> - 0.9-2
- Enable the gtk and moblin guis

* Fri Sep 25 2009 Matěj Cepl <mcepl@redhat.com> - 0.9-1
- New upstream release.

* Wed Aug  5 2009 Matěj Cepl <mcepl@redhat.com> - 0.8.1+0.9+beta3+20090723-1.0.3
- missing BuildRequires

* Wed Aug  5 2009 Stepan Kasal <skasal@redhat.com> - 0.8.1+0.9+beta3+20090723-1.0.2
- fixing autoconfigury; now it fails in a later stage of build ;-)

* Wed Aug  5 2009 Matěj Cepl <mcepl@redhat.com> - 0.8.1+0.9+beta3+20090723-1.0.1
- fixing rpath, currently FTBFS!!!

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1a-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 23 2009 Matej Cepl <mcepl@redhat.com> 0.8.1a-1
- New upstream release.
- make a fix for one #elif which should be #else

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct  6 2008 Alex Lancaster <alexlan[AT] fedoraproject.org> - 0.7-4
- Rebuild against new libcppunit to fix broken deps

* Fri Aug 01 2008 Matěj Cepl <mcepl@redhat.com> 0.7-3
- Bump the release to fix broken update path for Rawhide

* Fri Feb 15 2008 Matěj Cepl <mcepl@redhat.com> 0.7-2
- Add #include <memory> to syncevolution.cpp according
  to https://sourceforge.net/tracker/\
  ?func=detail&amp;atid=764733&amp;aid=1893582&amp;group_id=146288

* Wed Feb 13 2008 Matěj Cepl <mcepl@redhat.com> 0.7-1
- New upstream version.

* Mon Oct 15 2007 matej <mcepl@redhat.com> 0.6-2
- updated SPEC to make the package approved for the Fedora
  review process.

* Sun Oct 12 2007 Matěj Cepl <mcepl@redhat.com> 0.6-1
- Fixing .spec -- use make install and others
- Install also configuration templates to %%docs

* Sun Sep 30 2007 Matěj Cepl <mcepl@redhat.com> 0.6-0
- Experimental build from upstream source.

* Tue Jan 16 2007 Richard Monk <rmonk@redhat.com> 0.5-1
- Inital packaging
